(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



(**************************************************************************

    This file is part of the AtomicDensityMatrix package for Mathematica
    Copyright (C) 2004-2014 Simon M. Rochester <simon@rochesterscientific.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

**************************************************************************)



System`Dump`fixmessagestring[System`Dump`s_]:=ToString@InputForm@System`Dump`s


(*System`Dump`fixmessagestring[System`Dump`s_]:="\""<>StringReplace[System`Dump`s,{"\n"->"\\n","\\"->"\\\\","\""->"\\\""}]<>"\""*)


If[$VersionNumber>=8.,ToExpression["Unprotect[WignerD];WignerD[{1,1,1},0]"]]


BeginPackage["AtomicDensityMatrix`"]


Unprotect[Evaluate[$Context<>"*"]]


(*Needs["VectorAnalysis`"]*)


AtomicData::usage="AtomicData[state,type] gives data of the requested type for the atomic state specified. AtomicData[type] gives a list of atomic states in the database for which information of the specified type is available.  AtomicData[state] gives any information on state of types specified in the global variable $AtomicDataFields."

AtomicTransition::usage="AtomicTransition[\!\(\*
StyleBox[\"atom\", \"TI\"]\),\!\(\*
StyleBox[\"line\", \"TI\"]\)]
 returns the designations of the two states involved in the transition specified by the strings \!\(\*
StyleBox[\"atom\", \"TI\"]\) and \!\(\*
StyleBox[\"line\", \"TI\"]\)."

$AtomicDataFields::usage="$AtomicDataFields contains a list of data types (fields) in the AtomicData database."

ElementName::usage="ElementName is a type of data for AtomicData, giving the name of the element."


ElementSymbol::usage=""


AtomicNumber::usage=""


AtomicWeight::usage=""


Abundance::usage=""


Wavenumber::usage="Wavenumber[state] returns the spectroscopic wavenumber \!\(\*OverscriptBox[\"\[Nu]\", \"_\"]\) = \[Omega]/(2\[Pi]c)."


DopplerWidth::usage=""


MostProbableSpeed::usage=""


AtomicState::usage="AtomicState[\!\(\*
StyleBox[\"label\", \"TI\"]\)] represents an atomic state labeled by \!\(\*
StyleBox[\"label\", \"TI\"]\).
AtomicState[\!\(\*
StyleBox[\"label\", \"TI\"]\),\!\(\*SubscriptBox[
StyleBox[\"param\", \"TI\"], \"1\"]\)->\!\(\*SubscriptBox[
StyleBox[\"value\", \"TI\"], \"1\"]\),\!\(\*SubscriptBox[
StyleBox[\"param\", \"TI\"], \"2\"]\)->\!\(\*SubscriptBox[
StyleBox[\"value\", \"TI\"], \"2\"]\),\[Ellipsis]] represents an atomic state with specified values for one or more state parameters.
Possible state parameters are S, L, J, NuclearSpin, F, M, Parity, Energy, NaturalWidth, GFactor, BranchingRatio, HyperfineA, HyperfineB, and Polarizability."


GroundStates::usage="GroundStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\)] returns the list of AtomicState objects from atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) for which GroundStateQ gives True."


ExcitedStates::usage="ExcitedStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\)] returns the list of AtomicState objects from atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) for which GroundStateQ gives False."


StateMatchQ::usage=""


StatePosition::usage="StatePosition[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\)] returns the positions of the AtomicState objects in the atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) whose parameters satisfy the boolean expression \!\(\*
StyleBox[\"crit\", \"TI\"]\). The parameter \!\(\*
StyleBox[\"crit\", \"TI\"]\) is specified in the form, e.g, StateLabel==2&&F==3. If all the states with a particular label are desired, the shorthand StatePosition[sys,label] can be used." 
(* True but deprecated: "The criteria can also be specified using Rule in place of Equal, and if multiple criteria are specified they must all be satisfied. Thus, for example, StatePosition[sys,StateLabel==2&&F==3], StatePosition[sys,StateLabel->2&&F->3], and StatePosition[sys,StateLabel->2,F->3] are all equivalent."*)


SelectStates::usage="SelectStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\)] returns the list of the AtomicState objects in the atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) whose parameters satisfy the boolean expression \!\(\*
StyleBox[\"crit\", \"TI\"]\). The parameter \!\(\*
StyleBox[\"crit\", \"TI\"]\) is specified in the form, e.g, StateLabel==2&&F==3. If all the states with a particular label are desired, the shorthand StatePosition[sys,label] can be used.

SelectStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\),\!\(\*
StyleBox[\"n\", \"TI\"]\)] returns the first \!\(\*
StyleBox[\"n\", \"TI\"]\) AtomicStates whose parameters satisfy \!\(\*
StyleBox[\"crit\", \"TI\"]\)."


SelectState::usage="SelectState[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\)] is equivalent to SelectStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\),1\!\(\*
StyleBox[\"]\", \"TI\"]\)."


DeleteStates::usage="DeleteStates[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"crit\", \"TI\"]\)] deletes the AtomicState objects from the atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) whose parameters satisfy the boolean expression \!\(\*
StyleBox[\"crit\", \"TI\"]\). The parameter \!\(\*
StyleBox[\"crit\", \"TI\"]\) is specified in the form, e.g, StateLabel==2&&F==3. If all the states with a particular label are desired, the shorthand StatePosition[sys,label] can be used."


SublevelMultiplicity::usage="SublevelMultiplicity[\!\(\*
StyleBox[\"state\", \"TI\"]\)], where \!\(\*
StyleBox[\"state\", \"TI\"]\) is an AtomicState object, returns the number of magnetic sublevels corresponding to the F, J, and NuclearSpin quantum numbers of \!\(\*
StyleBox[\"state\", \"TI\"]\). If F is defined, (2F+1) is returned; otherwise (2J+1)(2NuclearSpin+1) is returned, where NuclearSpin is assumed to be zero if it is not defined.

SublevelMultiplicity[\!\(\*
StyleBox[\"system\", \"TI\"]\)], where \!\(\*
StyleBox[\"system\", \"TI\"]\) is a list of AtomicState objects, returns the total number of unique magnetic sublevels of all of the states, as given by J and NuclearSpin of each AtomicState. Any F quantum numbers that may be defined are ignored, and only one AtomicState corresponding to each unique StateLabel is considered."


F::usage="F is a parameter specified in an AtomicState expression that specifies the total angular momentum (electronic plus nuclear) for the state. The value must be integer or half-integer.
F[\!\(\*
StyleBox[\"state\", \"TI\"]\)] returns the value specified for F in AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\), or J[\!\(\*
StyleBox[\"state\", \"TI\"]\)] if it is not specified."


M::usage="M is a parameter specified in an AtomicState expression that specifies the z-projection of the total angular momentum for the state. The value must be integer or half-integer.
M[\!\(\*
StyleBox[\"state\", \"TI\"]\)] returns the value specified for M in AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\), or M[StateLabel[\!\(\*
StyleBox[\"state\", \"TI\"]\)]] if it is not specified."


Polarizability::usage="Polarizability[\!\(\*
StyleBox[\"k\", \"TI\"]\)] is a parameter specified in an AtomicState expression that specifies the scalar (\!\(\*
StyleBox[\"k\", \"TI\"]\)=0), vector (\!\(\*
StyleBox[\"k\", \"TI\"]\)=1), or tensor (\!\(\*
StyleBox[\"k\", \"TI\"]\)=2) polarizability for the state. The value can be numeric or symbolic. 
Polarizability[\!\(\*
StyleBox[\"k\", \"TI\"]\)][\!\(\*
StyleBox[\"state\", \"TI\"]\)] returns the corresponding specified value for the polarizability of AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\), or Polarizability[\!\(\*
StyleBox[\"k\", \"TI\"]\)][StateLabel[\!\(\*
StyleBox[\"state\", \"TI\"]\)]] if it is not specified."


GFactor::usage="GFactor is a parameter specified in an AtomicState expression that specifies the g-factor for the state.
GFactor[\!\(\*
StyleBox[\"state\", \"TI\"]\)] returns the value specified for F in AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\), or GFactor[StateLabel[\!\(\*
StyleBox[\"state\", \"TI\"]\)]] if it is not specified."


TransitionPolarizability::usage=""


BranchingRatio::usage="BranchingRatio[\!\(\*
StyleBox[\"label\", \"TI\"]\)] is a parameter specified in an AtomicState expression that specifies the branching ratio to another state with label \!\(\*
StyleBox[\"label\", \"TI\"]\).
BranchingRatio[\!\(\*
StyleBox[\"label\", \"TI\"]\)][\!\(\*
StyleBox[\"state\", \"TI\"]\)] returns the value specified for the branching ratio to the state with label \!\(\*
StyleBox[\"label\", \"TI\"]\)\!\(\*
StyleBox[\" \", \"TI\"]\)in AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\), or BranchingRatio[\!\(\*
StyleBox[\"label\", \"TI\"]\)][StateLabel[\!\(\*
StyleBox[\"state\", \"TI\"]\)]] if it is not specified."


GroundStateQ::usage="GroundStateQ[\!\(\*
StyleBox[\"state\", \"TI\"]\)] returns True if NaturalWidth[\!\(\*
StyleBox[\"state\", \"TI\"]\)] is zero, and False otherwise."


LevelPosition::usage=""


t::usage="t is the default value for the option TimeVariable in DensityMatrix and other functions."


StateLabel::usage="StateLabel[\!\(\*
StyleBox[\"state\", \"TI\"]\)] returns the label (the first argument) for the AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\)."


StateParameters::usage="StateParameters[\!\(\*
StyleBox[\"state\", \"TI\"]\)] returns the state parameters of the AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\)."


MapOnParameters::usage=""


StateParameterPattern::usage=""


StateParameterQ::usage="StateParameterQ[\!\(\*
StyleBox[\"expr\", \"TI\"]\)] returns True if \!\(\*
StyleBox[\"expr\", \"TI\"]\) is a valid parameter for an AtomicState expression, and False otherwise."


AtomicSystemQ::usage="AtomicSystemQ[\!\(\*
StyleBox[\"expr\", \"TI\"]\)] returns True if \!\(\*
StyleBox[\"expr\", \"TI\"]\) is a list of AtomicState objects, and False otherwise."


DefinedQ::usage="DefinedQ[\!\(\*
StyleBox[\"state\", \"TI\"]\),\!\(\*
StyleBox[\"param\", \"TI\"]\)] returns True if state parameter \!\(\*
StyleBox[\"param\", \"TI\"]\) is specified in AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\), and False otherwise.
DefinedQ[\!\(\*
StyleBox[\"state\", \"TI\"]\),{\!\(\*SubscriptBox[
StyleBox[\"param\", \"TI\"], \"1\"]\),\!\(\*SubscriptBox[
StyleBox[\"param\", \"TI\"], \"2\"]\),\[Ellipsis]}] returns True if all of the \!\(\*
StyleBox[SubscriptBox[\"param\", \"i\"], \"TI\"]\) are specified in \!\(\*
StyleBox[\"state\", \"TI\"]\), and False otherwise.
DefinedQ[{\!\(\*SubscriptBox[
StyleBox[\"state\", \"TI\"], \"1\"]\),\!\(\*SubscriptBox[
StyleBox[\"state\", \"TI\"], \"2\"]\),\[Ellipsis]},\!\(\*
StyleBox[\"param\", \"TI\"]\)] checks if \!\(\*
StyleBox[\"param\", \"TI\"]\) is specified in all of the states.
DefinedQ behaves analogously with region parameters and regions in place of state parameters and states."


DeleteParameter::usage="DeleteParameter[\!\(\*
StyleBox[\"state\", \"TI\"]\),\!\(\*
StyleBox[\"param\", \"TI\"]\)] deletes any specification for state parameter \!\(\*
StyleBox[\"param\", \"TI\"]\) from the AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\).
If a list of states is supplied, the parameter is deleted from all of the states. If a list of parameters is supplied, all of the parameters are deleted.
DeleteParameter behaves analogously with region parameters and regions in place of state parameters and states."


AddParameter::usage="AddParameter[\!\(\*
StyleBox[\"state\", \"TI\"]\),\!\(\*
StyleBox[\"param\", \"TI\"]\)->\!\(\*
StyleBox[\"value\", \"TI\"]\)] adds the supplied parameter specification to AtomicState \!\(\*
StyleBox[\"state\", \"TI\"]\), or replaces the existing specification.
AddParameter behaves analogously with region parameters and regions in place of state parameters and states."


ReplaceMatrixElement::usage""


SetSystemType::usage=""


AtomicSystemType::usage=""


LevelLabel::usage=""


SublevelLabel::usage=""


HyperfineSublevels::usage="HyperfineSublevels[{\!\(\*SubscriptBox[
StyleBox[\"state\", \"TI\"], \"1\"]\),\!\(\*SubscriptBox[
StyleBox[\"state\", \"TI\"], \"2\"]\),\[Ellipsis]}] returns a list of AtomicState objects in which each \!\(\*
StyleBox[SubscriptBox[\"state\", \"i\"], \"TI\"]\) that has a specified J and NuclearSpin parameter has been expanded into states representing each hyperfine sublevel of the state."


ZeemanSublevels::usage="Sublevels[{\!\(\*SubscriptBox[
StyleBox[\"state\", \"TI\"], \"1\"]\),\!\(\*SubscriptBox[
StyleBox[\"state\", \"TI\"], \"2\"]\),\[Ellipsis]}] returns a list of AtomicState objects in which each \!\(\*
StyleBox[SubscriptBox[\"state\", \"i\"], \"TI\"]\) that has a specified J or F parameter has been expanded into states representing each Zeeman sublevel of the state."


Sublevels::usage="Sublevels[{\!\(\*SubscriptBox[
StyleBox[\"state\", \"TI\"], \"1\"]\),\!\(\*SubscriptBox[
StyleBox[\"state\", \"TI\"], \"2\"]\),\[Ellipsis]}] returns a list of AtomicState objects in which each \!\(\*
StyleBox[SubscriptBox[\"state\", \"i\"], \"TI\"]\) that has a specified J and NuclearSpin parameter has been expanded into states representing each hyperfine sublevel of the state, and each state that has a specified J or F parameter has been expanded into states representing each Zeeman sublevel of the state."


RemoveZeemanSublevels::usage="RemoveZeemanSublevels[\!\(\*
StyleBox[\"syst\", \"TI\"]\)] replaces sublists of the atomic system (list of AtomicState objects) \!\(\*
StyleBox[\"syst\", \"TI\"]\) that are identical apart from their M value with a single state with no M value specified."


ZeemanSystem::usage="ZeemanSystem[\!\(\*
StyleBox[\"j\", \"TI\"]\)] returns a list of AtomicState objects describing the Zeeman sublevels of an atomic system with angular momentum \!\(\*
StyleBox[\"j\", \"TI\"]\).
ZeemanSystem[\!\(\*
StyleBox[\"label\", \"TI\"]\),\!\(\*
StyleBox[\"j\", \"TI\"]\)] provides a specific label for the AtomicState objects."


AtomicSystemType::difftypes="All atomic states in the system are not of the same type, `1`, as the first state."


DMElementPattern::usage=""

DMElementPartPattern::usage=""

DMElement::usage=""

DMElementPart::usage=""

Subscripts::usage=""

M1::usage=""

M2::usage=""

F1::usage=""

F2::usage=""

DMLabel::usage=""

TimeDerivative::usage=""

StateLabel1::usage=""

StateLabel2::usage=""

ReImPart::usage=""

State1::usage=""

State2::usage=""

Time::usage=""

LevelLabelPattern::usage=""

LevelLabelPattern1::usage=""

LevelLabelPattern2::usage=""

(*LabelPattern::usage=""*)

Ket::usage=""

TimeDependence::usage=""

DensityMatrix::usage="DensityMatrix[sys] forms the density matrix for an atomic system (list of AtomicState objects) sys."

DMSymbol::usage=""

ComplexExpandVariables::usage=""

\[Rho]::usage="Default variable used for the density matrix."

TimeVariable::usage=""

DMVariables::usage=""

ExpandDMVariablesRule::usage=""

ExprToReIm::usage=""

Representation::usage=""

ReImToSubscriptRule::usage=""

ReImFromSubscriptRule::usage=""

ERI::usage=""



Decomposition::usage=""

Recomposition::usage=""

PolarizationMatrices::usage=""


\[Rho]JJ::usage=""

MaxProjectionProbability::usage=""

AMPSPlot::usage=""



standardizeField::usage=""

OpticalField::usage=""

PolarizationVector::usage=""

PropagationVector::usage=""

CartesianCoordinates::usage=""

Parameterization::usage=""

ReparameterizeField::usage=""

If[!MemberQ[Contexts[],"VectorAnalysis`"],
ToExpression[
"Xx::usage=\"\";
Yy::usage=\"\";
Zz::usage=\"\";"]
]


Energies::usage=""

TransitionFrequencies::usage=""

Hamiltonian::usage=""

(*ElectricField::usage="" Declaration moved to Common`*)

(*MagneticField::usage="" Declaration moved to Common`*)

Interaction::usage=""

Internal::usage=""

E1::usage=""

Magnetic::usage=""

InternalHamiltonian::usage=""

E1Hamiltonian::usage=""

MagneticHamiltonian::usage=""

PolarizabilityHamiltonian::usage=""

TransitionPolarizabilityHamiltonian::usage=""



EffectiveHamiltonian::usage="EffectiveHamiltonian[h,u,t] returns the effective Hamiltonian corresponding to the Hamiltonian h under a (possibly time dependent) transformation u, assuming time variable t."


DropFastTerms::usage="DropFastTerms[expr,omega,t] sets terms in expr sinusoidally oscillating at twice the frequency omega (assuming time variable t) to zero.
DropFastTerms[expr,{\!\(\*SubscriptBox[\"omega\", \"1\"]\),\!\(\*SubscriptBox[\"omega\", \"2\"]\),...},t] drops terms oscillating at twice any of the \!\(\*SubscriptBox[\"omega\", \"i\"]\)."


ReturnFrequencyReplacements::usage""


RotatingWaveTransformMatrix::usage=""


RotatingWaveTransform::usage=""


TransformMatrix::usage="TransformMatrix is an option for RotatingWaveApproximation and related functions that can be used to explicitly specify the unitary transformation to the rotating frame."


DMFromRotatingDM::usage=""


RotatingWaveApproximation::usage="RotatingWaveApproximation[sys,h,{\[Omega],tr}] performs the rotating-wave approximation on a Hamiltonian h for an atomic system sys subject to an optical field with angular frequency \[Omega] acting on transitions tr. Transitions are specified by \!\(\*SubscriptBox[\"crit\", \"lower\"]\)\[Rule]\!\(\*SubscriptBox[\"crit\", \"upper\"]\), where \!\(\*SubscriptBox[\"crit\", \"lower\"]\) and \!\(\*SubscriptBox[\"crit\", \"upper\"]\) are state selection criteria for the lower and upper states in the optical transition, specified as in the documentation for StatePosition. Each transition specification also accepts a list of transitions.
RotatingWaveApproximation[sys,h,{{\!\(\*SubscriptBox[\"\[Omega]\", \"1\"]\),\!\(\*SubscriptBox[\"tr\", \"1\"]\)},{\!\(\*SubscriptBox[\"\[Omega]\", \"2\"]\),\!\(\*SubscriptBox[\"tr\", \"2\"]\)},...}] performs the RWA assuming multiple optical fields with angular frequencies \!\(\*SubscriptBox[\"\[Omega]\", \"i\"]\), acting on transitions \!\(\*SubscriptBox[\"tr\", \"i\"]\).
RotatingWaveApproximation[sys,h,{{\!\(\*SubscriptBox[\"\[Omega]\", \"1\"]\),\!\(\*SubscriptBox[\"tr\", \"1\"]\),\!\(\*SubscriptBox[\"\[CapitalDelta]\", \"1\"]\)},{\!\(\*SubscriptBox[\"\[Omega]\", \"2\"]\),\!\(\*SubscriptBox[\"tr\", \"2\"]\),\!\(\*SubscriptBox[\"\[CapitalDelta]\", \"2\"]\)},...}] writes optical frequencies in terms of their detunings \!\(\*SubscriptBox[\"\[CapitalDelta]\", \"i\"]\) from resonance after performing the RWA.
RotatingWaveApproximation[sys,h,\[Omega]] performs the RWA using an automatically generated transformation appropriate for a single optical field.
RotatingWaveApproximation[sys,h,{\!\(\*SubscriptBox[\"\[Omega]\", \"1\"]\),\!\(\*SubscriptBox[\"\[Omega]\", \"2\"]\),...},TransformMatrix->u] performs the RWA using an explicity specified unitary transformation matrix."


IntrinsicRelaxation::usage=""

TransitRelaxation::usage=""

Relaxation::usage=""

TransitRepopulation::usage="TransitRepopulation[\!\(\*
StyleBox[\"sys\", \"TI\"]\),\!\(\*
StyleBox[\"gamma\", \"TI\"]\)] returns a matrix describing the appearence of unpolarized atoms in the ground state of atomic system \!\(\*
StyleBox[\"sys\", \"TI\"]\) due to transit into the experimental volume at rate \!\(\*
StyleBox[\"gamma\", \"TI\"]\). The ground states of sys are assumed to be those that have NaturalWidth->0. This matrix is suitable for use as an argument in the function LiouvileEquation."

OpticalRepopulationOperator::usage=""

OpticalRepopulation::usage=""

OpticalRepopulationPM::usage=""

OpticalRepopulationZ::usage=""

HyperfineCoherenceTransfer::usage=""

Repopulation::usage=""



FluorescenceOperator::"usage"



LiouvilleRHS::usage=""

LiouvilleEquation::usage=""

InitialConditions::usage=""



WaveEqnSolution::usage=""



Observables::usage=""

PolarizationComponents::usage=""



Voigt::usage=""

InternalEnergy::usage=""

LinearAbsorption::usage=""



Region::usage=""

TransitRate::usage=""

VoidRegion::usage=""

Density::usage=""

OpticalParameters::usage=""

RegionParameters::usage=""

RegionParameterPattern::usage=""

RegionParameterQ::usage=""

ExperimentalSystemQ::usage=""

SelectRegions::usage=""

RegionLabel::usage=""

SelectRegion::usage=""

DeleteRegions::usage=""

RegionPosition::usage=""


$ADMVersion::usage="$ADMVersion returns the version number of the AtomicDensityMatrix package."


Begin["`Private`"]


$ADMVersion="15.04.24"


End[]


(*Protect[Evaluate[$Context<>"*"]]*)


EndPackage[]
