(**************************************************************************

   	This file is part of the AtomicDensityMatrix package for Mathematica
    Copyright (C) 2004-2014 Simon M. Rochester <simon@rochesterscientific.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

**************************************************************************)

BeginPackage["Graphics`ExtendShapes`"]


(* ::Subsection:: *)
(*Usage messages*)


TranslateX::usage=""


TranslateY::usage=""


TranslateZ::usage=""


RotateX::usage=""


RotateY::usage=""


RotateZ::usage=""


(* ::Subsection:: *)
(*Error messages*)


(* ::Section:: *)
(*Implementation*)


(* ::Subsection:: *)
(*Begin private context*)


Begin["`Private`"]


(* ::Subsection:: *)
(*Translate*)


TranslateX[x_][g_]:=Translate[g,{x,0,0}]


TranslateY[x_][g_]:=Translate[g,{0,x,0}]


TranslateZ[x_][g_]:=Translate[g,{0,0,x}]


(* ::Subsection:: *)
(*Rotate*)


RotateX[theta_][g_]:=Rotate[g,theta,{1,0,0}]


RotateY[theta_][g_]:=Rotate[g,theta,{0,1,0}]


RotateZ[theta_][g_]:=Rotate[g,theta,{0,0,1}]


(* ::Subsection:: *)
(*End the private context*)


End[]


(* ::Section:: *)
(*Epilog*)


(* ::Text:: *)
(*This section protects exported symbols and ends the package.*)


(* ::Subsection:: *)
(*Protect exported symbols*)


(*Protect[Evaluate[$Context<>"*"]]*)


(* ::Subsection:: *)
(*End the package context*)


EndPackage[]
